#
# spec file for package acct (Version 6.3.5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           acct
License:        GPL
Group:          System/Base
PreReq:         %insserv_prereq %fillup_prereq fileutils %install_info_prereq
Autoreqprov:    on
Version:        6.3.5
Release:        692.2
Source:         %{name}-%{version}.tar.bz2
Source1:        rc.acct
Source2:        logrotate.acct
Patch:          %{name}-%{version}-axp.dif
Patch1:         %{name}-%{version}-ac.dif
Patch2:         %{name}-%{version}-info.diff
Patch3:         %{name}-%{version}-acct_v3-fix.diff
Patch4:         %{name}-%{version}-time-fix.diff
URL:            http://www.gnu.org/directory/acct.html
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        User-Specific Process Accounting

%description
This package contains the programs necessary for user-specific process
accounting: sa, accton, and lastcomm.



Authors:
--------
    Noel Cragg <noel@gnu.ai.mit.edu>

%debug_package
%prep
%setup 
%patch
%patch1
%patch2
%patch3
%patch4

%build
%define prefix   /usr
%define sysconfdir /etc
%{suse_update_config}
libtoolize -f
aclocal
automake -a
autoconf
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
                                                  --mandir=%{_mandir} \
                                                  --prefix=%{prefix} \
                                                  --infodir=%{_infodir} \
                                                  --sysconfdir=%{sysconfdir}
make

%install
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot} 
make DESTDIR=$RPM_BUILD_ROOT install
install -d -m 755 $RPM_BUILD_ROOT/etc/{init.d,logrotate.d}
install -m 755 %{S:1}  $RPM_BUILD_ROOT/etc/init.d/acct
install -m 755 %{S:2}  $RPM_BUILD_ROOT/etc/logrotate.d/acct
install -d -m 755 $RPM_BUILD_ROOT/var/account/
touch $RPM_BUILD_ROOT/var/account/pacct
chmod 600 $RPM_BUILD_ROOT/var/account/pacct
cd $RPM_BUILD_ROOT/usr/sbin/
ln -sf ../../etc/init.d/acct rcacct
rm -f $RPM_BUILD_ROOT/usr/bin/last
rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/last.1*

%post
%{fillup_and_insserv acct}
echo "Creating /var/account/pacct"
touch var/account/pacct
chmod 600 var/account/pacct
%install_info --info-dir=%{_infodir} %{_infodir}/accounting.info.gz

%preun
%stop_on_removal acct

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/accounting.info.gz
%restart_on_update acct
%{insserv_cleanup}

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot} 

%files
%defattr(-, root, root)
%doc README NEWS
%doc %{_infodir}/*.info.*
%doc %{_mandir}/man1/ac*
%doc %{_mandir}/man1/lastcomm*
%doc %{_mandir}/man8/*
%dir /var/account
%attr(600, root, root) %ghost /var/account/pacct
%config /etc/logrotate.d/acct
%config /etc/init.d/acct
/usr/bin/ac
/usr/bin/lastcomm
/usr/sbin/*

%changelog -n acct
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Oct 05 2004 - postadal@suse.cz
- fixed 64bit problem in printing time [#42969]
* Mon Oct 04 2004 - postadal@suse.cz
- fixed to work with acct v3 format which the new kernel uses [#46768]
* Thu Feb 12 2004 - ro@suse.de
- fix owner/group for var/account/pacct
* Thu Feb 12 2004 - postadal@suse.cz
-added norootforbuild flag to the spec file
* Tue Aug 26 2003 - postadal@suse.cz
- use new stop_on_removal/restart_on_upate macros
* Mon May 26 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Thu Apr 24 2003 - ro@suse.de
- merge postuns
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Tue Feb 25 2003 - postadal@suse.cz
- used install-info macros
- fixed accounting.info (dir entry)
* Mon Sep 09 2002 - ro@suse.de
- added logrotate configuration
* Fri Aug 16 2002 - postadal@suse.cz
- added %%insserv_prereq, %%fillup_prereq and fileutils
  to PreReq [#17787]
* Wed Aug 14 2002 - poeml@suse.de
- fix comment in rc.script
* Tue Apr 02 2002 - postadal@suse.cz
- fixed to compile with autoconf-2.53
* Mon Feb 25 2002 - postadal@suse.cz
- modified copyright in /etc/init.d/acct
* Tue Jan 15 2002 - egmont@suselinux.hu
- removed colons from startup/shutdown messages
* Sun Jan 13 2002 - ro@suse.de
- removed START_ACCT
* Wed Nov 14 2001 - ro@suse.de
- don't call automake for now
* Wed Aug 08 2001 - cihlar@suse.cz
- fixed to compile on axp
* Tue Aug 07 2001 - cihlar@suse.cz
- fixed stop and status part of init script
- moved rc.acct and rc.config.acct from patch
* Mon Jun 25 2001 - pblaha@suse.cz
- rewrite init script to conform LSB
* Wed Dec 13 2000 - smid@suse.cz
- rcacct link added
* Tue Nov 28 2000 - ro@suse.de
- startscript to etc/init.d
* Thu Nov 02 2000 - smid@suse.cz
- fix ugly bug in startup scripts
* Tue Aug 29 2000 - smid@suse.cz
- sources => bzip2
- spec cleanup
* Wed Jun 07 2000 - cihlar@suse.cz
- Copyright tag fixed
* Fri Apr 07 2000 - smid@suse.cz
- upgrade to 6.3.5
- buildroot added
* Mon Feb 21 2000 - garloff@suse.de
- Create /var/account/pacct in script if non-existing
* Thu Feb 17 2000 - kukuk@suse.de
- Fix configure options
* Tue Feb 15 2000 - kukuk@suse.de
- Fill in group tag
* Thu Jan 20 2000 - kukuk@suse.de
- Move /usr/{man,info} -> /usr/share/{man,info}
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Apr 07 1999 - kukuk@suse.de
- With glibc 2, include linux/acct.h, not sys/acct.h
* Tue Dec 29 1998 - tmg@suse.de
- fixed several bugs in init script ;)
* Sat Dec 12 1998 - bs@suse.de
- made absolute path in %%post to relative path
* Tue Dec 08 1998 - ro@suse.de
- updated init script
* Sun Oct 18 1998 - tmg@suse.de
- initial revision
